.TH OCIOCHECK "1" "August 2022" "ociocheck -- validate an OpenColorIO configuration" "User Commands"
.SH NAME
ociocheck \- validate an OpenColorIO configuration
.PP
usage:  ociocheck [options]
.TP
\fB\-\-help\fR
Print help message
.TP
\fB\-\-iconfig\fR %s
Input .ocio configuration file (default: $OCIO)
.TP
\fB\-\-oconfig\fR %s
Output .ocio file
.PP
ociocheck is useful to validate that the specified OCIO configuration
is valid, and that all the color transforms are defined.
For example, it is possible that the configuration may reference
lookup tables that do not exist. ociocheck will find these cases.
.PP
ociocheck can also be used to clean up formatting on an existing profile
that has been manually edited, using the '\-o' option.
.PP
ociocheck \fB\-\-\fR validate an OpenColorIO configuration
.PP
usage:  ociocheck [options]
.TP
\fB\-\-help\fR
Print help message
.TP
\fB\-\-iconfig\fR %s
Input .ocio configuration file (default: $OCIO)
.TP
\fB\-\-oconfig\fR %s
Output .ocio file
.PP
ociocheck is useful to validate that the specified OCIO configuration
is valid, and that all the color transforms are defined.
For example, it is possible that the configuration may reference
lookup tables that do not exist. ociocheck will find these cases.
.PP
ociocheck can also be used to clean up formatting on an existing profile
that has been manually edited, using the '\-o' option.
.SH "SEE ALSO"
The full documentation for
.B Invalid
is maintained as a Texinfo manual.  If the
.B info
and
.B Invalid
programs are properly installed at your site, the command
.IP
.B info Invalid
.PP
should give you access to the complete manual.
